Skip to content

GET /coins/{address}/traders

Its traders by profit on it: bought, sold, held, realised and unrealised, in USD.

GET https://uprally.co/api/v1/coins/{address}/traders
NameInRequiredMeaning
addresspathyesThe coin’s contract address
limitqueryDefault 20
FieldTypeRequiredMeaning
tokenstringyesA 0x address, lower case
tradersobject[]yes
traders[].walletstringyes
traders[].pnlUsdnumber or nullyesUS dollars; null when not known

Captured from the live API on Robinhood Chain, exactly as it was sent (long calldata shortened).

{
"token": "0x39dbed3a2bd333467115de45665cc57f813c4571",
"since": "2026-10-14T20:18:15.791Z",
"priceUsd": 0.3369495807578557,
"traders": [
{
"wallet": "0xc33acc93942105c57602e59e8e448c20ba718a85",
"lastAt": "2026-10-16T03:35:45.000Z",
"buys": 7632,
"sells": 7769,
"boughtUsd": 3239313.644549303,
"soldUsd": 3021476.851983884,
"bought": 10040896.010903213,
"sold": 9325837.72316486,
"priceUsd": 0.3369495807578557,
"held": 715058.287738353,
"avgCostUsd": 0.32261201002697326,
"realizedUsd": 12849.598928296473,
"unrealizedUsd": 10252.198777152318,
"pnlUsd": 23101.797705448793,
"isContract": true
},
{
"wallet": "0x12d2b8ac38c59758a062a9f757f2740461779439",
"lastAt": "2026-10-16T03:11:07.700Z",
"buys": 509,
"sells": 0,
"boughtUsd": 168541.17627499974,
"soldUsd": 0,
"bought": 514836.9389315165,
"sold": 0,
"priceUsd": 0.3369495807578557,
"held": 514836.9389315165,
"avgCostUsd": 0.3273680723546899,
"realizedUsd": 0,
"unrealizedUsd": 4932.91445663248,
"pnlUsd": 4932.91445663248,
"isContract": false
}
]
}

Every error is { "error": { "code", "message", "fix"? } }. This endpoint can answer:

  • INVALID_ADDRESS: A field that must be a 0x address is not one; field says which.
  • INVALID_QUERY: A query parameter is out of range or malformed; field says which.
  • DATA_UNREACHABLE: The data behind this answer could not be read just now.